### Method

# GLib RWLock writer_lock

since: 2.32

#### Declaration

    void
    g_rw_lock_writer_lock (
      GRWLock* rw_lock
    )

#### Description

Obtain a write lock on `rw_lock`. If another thread currently holds a read or write lock on `rw_lock`, the current thread will block until all other threads have dropped their locks on `rw_lock`.

Calling `g_rw_lock_writer_lock()` while the current thread already owns a read or write lock on `rw_lock` leads to undefined behaviour.

Available since: 2.32